################################################################################
#
# RTL8188EU_CV
#
################################################################################

RTL8188EU_CV_VERSION = 163badb4564be50ce11aa3e6fdd2e18f3e4c4b90
RTL8188EU_CV_SITE = $(call github,ivanovborislav,rtl8188eu,$(RTL8188EU_CV_VERSION))
RTL8188EU_CV_LICENSE = GPL-2.0

RTL8188EU_CV_EXTRA_CFLAGS = \
        -DCONFIG_$(call qstrip,$(BR2_ENDIAN))_ENDIAN \
        -DCONFIG_IOCTL_CFG80211 \
        -DRTW_USE_CFG80211_STA_EVENT
        
RTL8188EU_CV_MODULE_MAKE_OPTS = \
        CONFIG_PLATFORM_I386_PC=n \
        CONFIG_RTL8188EU=m \
        CONFIG_RTW_DEBUG=n \
        KVER=$(LINUX_VERSION_PROBED) \
        USER_EXTRA_CFLAGS="$(RTL8188EU_CV_EXTRA_CFLAGS)" 

$(eval $(kernel-module))
$(eval $(generic-package))
